Last-Modified: Wed, 05 Feb 2025 19:33:31 GMT
Expires: Sat, 03 Feb 2035 19:33:31 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>cpulimit-with-glib-2.32.patch « patches « packages « gnu - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/cpulimit-with-glib-2.32.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>refs</a><a href='/guix/log/gnu/packages/patches/cpulimit-with-glib-2.32.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/cpulimit-with-glib-2.32.patch?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>tree</a><a href='/guix/commit/gnu/packages/patches/cpulimit-with-glib-2.32.patch?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>commit</a><a href='/guix/diff/gnu/packages/patches/cpulimit-with-glib-2.32.patch?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/cpulimit-with-glib-2.32.patch'>
<input type='hidden' name='id' value='9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>root</a>/<a href='/guix/tree/gnu?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>gnu</a>/<a href='/guix/tree/gnu/packages?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>patches</a>/<a href='/guix/tree/gnu/packages/patches/cpulimit-with-glib-2.32.patch?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>cpulimit-with-glib-2.32.patch</a></div><div class='content'>blob: 4c0bbaac7c6c424e94295d86d966f0f5756e055f (<a href='/guix/about/gnu/packages/patches/cpulimit-with-glib-2.32.patch?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>about</a>) (<a href='/guix/plain/gnu/packages/patches/cpulimit-with-glib-2.32.patch?id=9e9c1613ddfb6147a59aaff85bfe3ee6b98da61c'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
</pre></td>
<td class='lines'><pre><code>From 4a4794e041edf85cb67b9fbba66ad1a22fdcaaec Mon Sep 17 00:00:00 2001
From: Eric Bavier &lt;bavier@posteo.net&gt;
Date: Sat, 29 Jan 2022 00:10:20 -0600
Subject: [PATCH] Fixes linux build with glibc-2.32.

* cpulimit.c: Guard inclusion of &lt;sys/sysctl.h&gt; which is needed only for
  __APPLE__ and is deprecated and unavailable starting with glibc-2.32.
---
 src/cpulimit.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Submitted upstream at https://github.com/opsengine/cpulimit/pull/105

diff --git a/src/cpulimit.c b/src/cpulimit.c
index 50eabea..be8cf22 100644
--- a/src/cpulimit.c
+++ b/src/cpulimit.c
@@ -38,13 +38,13 @@
 #include &lt;string.h&gt;
 #include &lt;sys/stat.h&gt;
 #include &lt;sys/time.h&gt;
-#include &lt;sys/sysctl.h&gt;
 #include &lt;sys/resource.h&gt;
 #include &lt;sys/types.h&gt;
 #include &lt;sys/wait.h&gt;
 
 #ifdef __APPLE__ || __FREEBSD__
 #include &lt;libgen.h&gt;
+#include &lt;sys/sysctl.h&gt;
 #endif
 
 #include "process_group.h"
-- 
2.34.0

</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>
